%global gem_name datagrepper

Name:           rubygem-%{gem_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Ruby interface to the Datagrepper API

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/CodeBlock/datagrepper-gem
Source0:        http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildArch:      noarch
BuildRequires:  rubygems-devel
Requires:       rubygem(httparty) rubygem(time-lord) rubygems

%if 0%{?fedora} >= 19
Requires: ruby(release)
%else
Requires: ruby(abi) >= 1.9.1
%endif

%description
Provides an interface via HTTParty to Fedora's Datagrepper
API: https://apps.fedoraproject.org/datagrepper/

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_docdir}
%{gem_cache}
%{gem_spec}

%changelog
* Sun Jun 30 2013 Ricky Elrod <codeblock@fedoraproject.org> 1.0.1-1
- Initial build.
